# Windows 10 Telemetry Checker

Dieses Tool überprüft anhand der Registry, ob datenschutzfreundliche Einstellungen in Windows gesetzt wurden.

## Usage
    check_keys.ps1 [[-Privacy] <int>] [[-DataFile] <string>] [[-TexFile] <string>] [[-LogFile] <string>] [-Verbose]
        -Privacy    spezifiziert, wie genau die Einstellungen angeschaut werden
                    0: dieser Aspekt wird nicht überprüft
                    1: diese Schlüssel werden im Projekt SiSyPHuS des BSI[1] genannt (Standard)
                    2: weitere Schlüssel, die die Übermittlung personenbezogener Daten verhindern[2][3]
                    3: dazu umfangreiche Einschränkungen von Apps
        -Security   spezifiziert, wie genau die Einstellungen angeschaut werden
                    0: dieser Aspekt wird nicht überprüft (Standard)
                    1: Schlüssel, die die Sicherheit in Windows erhöhen[4]
        -DataFile   aus dieser Datei werden die Schlüssel gelesen (Standard: ".\data.json")
        -TexFile    in diese Datei wird die LaTeX-Ausgabe geschrieben (Standard: ".\telemetry.tex")        
        -LogFile    in diese Datei wird das Log geschrieben (Standard: keine Log-Datei)  
        -Verbose    es werden ausführlichere Informationen ausgegeben

Das Skript sollte als Admin ausgeführt werden und funktioniert auch über Web Delivery. Vorher muss man die JSON-Datei in den aktuellen Ordner runterladen.

    (JSON-Datei runterladen)
    PS > IEX (new-object net.webclient).downloadstring("http://droopy/check_keys.ps1")

## WIP
* Security Levels/checks ergänzen

## Referenzen

1. https://www.bsi.bund.de/EN/Topics/Cyber-Security/Recommendations/SiSyPHuS_Win10/AP4/SiSyPHuS_AP4.html?nn=453882
2. https://docs.microsoft.com/en-us/windows/privacy/manage-connections-from-windows-operating-system-components-to-microsoft-services
3. https://it-sicherheit.uni-hohenheim.de/fileadmin/einrichtungen/it-sicherheit/Orientierungshilfe_Windows10_01.pdf
4. https://wiki.greenhats.com/de/Best-Practice/Windows-10-Client-Hardening